<?php
/**
*
* qi [Spanish[es]]
*
* @package quickinstall
* @version $Id: qi.php 56 2010-05-31 16:49:35Z jari $
* @copyright (c) 2007, 2008 eviL3
* @copyright (c) 2010 Jari Kanerva (tumba25)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_QUICKINSTALL'))
{
	exit;
}

/**
* DO NOT CHANGE
*/
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'ABOUT_QUICKINSTALL' => 'Sobre phpBB3 QuickInstall',
	'ADMIN_EMAIL' => 'Correo del Administrador',
	'ADMIN_EMAIL_EXPLAIN' => 'Correo del Administrador para usar en tus foros',
	'ADMIN_NAME' => 'Nombre del Administrador',
	'ADMIN_NAME_EXPLAIN' => 'El nombre por defecto del Administrador para usar en tus foros. Esto se puede cambiar cuando se crea un foro.',
	'ADMIN_PASS' => 'Contraseña del administrador',
	'ADMIN_PASS_EXPLAIN' => 'La contraseña por defecto del Administrador para usar en tus foros. Esto se puede cambiar cuando se crea un foro.',
	'ALT_ENV' => 'Entorno alternativo',
	'AUTOMOD' => 'AutoMOD',
	'AUTOMOD_EXPLAIN' => 'Establece instalar AutoMOD como Si por defecto. Esto se puede cambiar cuando se crea un foro.',
	'AUTOMOD_INSTALL' => 'Instalar AutoMOD',

	'BACK_TO_MAIN' => '<a href="%s">Regresar atrás a la página principal</a>',
	'BACK_TO_MANAGE' => '<a href="%s">Regresar atrás a la página de administración</a>',
	'BOARD_CREATED' => 'Sitio creado exitosamente!',
	'BOARD_DBNAME' => 'Base de datos del sitio y directorio padre',
	'BOARD_DESC' => 'Descripción del sitio',
	'BOARD_EMAIL' => 'Correo del sitio',
	'BOARD_EMAIL_EXPLAIN' => 'Remitente de correo electrónico para tus foros creados.',
	'BOARD_NAME' => 'Nombre del foro',
	'BOARDS_DELETED' => 'Los sitios se eliminaron con éxito.',
	'BOARDS_DELETED_TITLE' => 'Sitios eliminados',
	'BOARDS_DIR' => 'Directorio de sitios',
	'BOARDS_DIR_EXPLAIN' => 'El directorio donde se crearán foros. PHP debe tener permisos de escritura a este directorio.',
	'BOARDS_LIST' => 'Lista de sitios',
	'BOARDS_NOT_WRITABLE' => 'El directorio de sitios no es escribible.',

	'CACHE_NOT_WRITABLE' => 'El directorio cache no es escribible.',
	'CHANGELOG' => 'Changelog',
	'CHECK_ALL' => 'Marcar todo',
	'CONFIG_EMPTY' => 'El array de configuración está vacio. Probablemente se tata de un fallo y necesite informar del bug',
	'CONFIG_NOT_WRITABLE' => 'El archivo qi_config.php no se puede escribir.',
	'COOKIE_DOMAIN' => 'Dominio de la cookie',
	'COOKIE_DOMAIN_EXPLAIN' => 'Esto suele ser localhost.',
	'COOKIE_SECURE' => 'Cookie segura',
	'COOKIE_SECURE_EXPLAIN' => 'Si su servidor se está ejecutando a través de SSL establece esto para permitirlo o dejalo como está para deshabilitarlo. Tener esta habilitado y ejecutar a través de SSL puede resultar en errores de servidor durante redirecciones.',

	'DB_PREFIX' => 'Prefijo de las tablas de la base de datos',
	'DB_PREFIX_EXPLAIN' => 'Esto se añade antes de todos los nombres de base de datos para evitar sobrescribir las bases de datos no utilizados por QuickInstall.',
	'DBHOST' => 'Servidor de la base de datos',
	'DBHOST_EXPLAIN' => 'Usualmente es localhost.',
	'DBMS' => 'DBMS',
	'DBMS_EXPLAIN' => 'Su base de datos del sistema. Si no está seguro ponlo en MySQL.',
	'DBPASSWD' => 'Contraseña de la base de datos',
	'DBPASSWD_EXPLAIN' => 'La contraseña del usuario de su base de datos',
	'DBPORT' => 'Puerto de la base de datos',
	'DBPORT_EXPLAIN' => 'Generalmente se puede dejar vacio.',
	'DBUSER' => 'Usuario de la base de datos',
	'DBUSER_EXPLAIN' => 'Tu usuario de la base de datos. Esto debe ser un usuario con permisos para crear nuevas bases de datos.',
	'DEFAULT' => 'por defecto',
	'DEFAULT_ENV' => 'Entorno por defecto (último phpBB)',
	'DEFAULT_LANG' => 'Idioma por defecto',
	'DEFAULT_LANG_EXPLAIN' => 'Este idioma se utilizará para los foros creados.',
	'DELETE' => 'Eliminar',
	'DELETE_FILES_IF_EXIST' => 'Eliminar archivos si existen',
	'DIR_EXISTS' => 'El directorio %s ya éxiste.',
	'DISABLED' => 'Deshabilitado',
	'DROP_DB_IF_EXISTS' => 'Suprimir base de datos si éxiste',

	'EMAIL_ENABLE' => 'Habilitar correo',
	'EMAIL_ENABLE_EXPLAIN' => 'Habilitar mensajes de correo electrónico. Para un foro de prueba local por lo normalmente no estaría disponible, a menos que se tenga un servidor de correo de prueba.',
	'ENABLED' => 'Habilitado',

	'GENERAL_ERROR' => 'Error General',

	'IN_SETTINGS' => 'Administrar tus ajustes de QuickInstall.',
	'INCLUDE_MODS' => 'Incluir MODs',
	'INCLUDE_MODS_EXPLAIN' => 'Selecciona las carpetas desde sources/mods/ en la lista, esos archivos se copiarán al directorio raíz de su nueva junta directiva, también sobrescribe los archivos antiguos (por lo que puede tener sitios premodificados aquí, por ejemplo). Si selecionas “Ninguno”, esto no será usado (porque es un dolor para anular la selección de artículos).',
	'INSTALL_BOARD' => 'Instalar un sitio',
	'INSTALL_QI' => 'Instalar QuickInstall',

	'LICENSE' => 'Licencia?',
	'LICENSE_EXPLAIN' => 'Este script está lanzado bajo los terminos de <a href="license.txt">GNU General Public License version 2</a>. Esto se debe principalmente porque utiliza una gran parte del código de phpBB, que también es liberado bajo esta licencia, y requiere de ninguna modificación para usarlo. Pero también porque es una gran licencia de software libre que mantiene libre :).',
	'LOG_INSTALL_INSTALLED_QI'	=> '<strong>Instalado por phpBB Quickinstall versión %s</strong>',

	'MAKE_WRITABLE' => 'Hacer los archivos escribibles',
	'MAKE_WRITABLE_EXPLAIN' => 'Establecer archivos, config.php, y directorios con permisos de escritura por defecto. Esto se puede cambiar cuando se crea un foro.',
	'MANAGE_BOARDS' => 'Administrar sitios',
	'MIGHT_TAKE_LONG' => '<strong>Tenga en cuenta:</strong> La creación del sitio puede tardar un poco, tal vez un minuto o más, por lo que <strong>no</strong> envie el formulario dos veces.',

	'NEED_WRITABLE' => 'QuickInstall necesita que los sitios y directorios sean escribibles todo el tiempo.<br />El archivo qi_config.php sólo necesita ser escribible para la instalación de QuickInstall.',
	'NO' => 'No',
	'NO_ALT_ENV' => 'El entorno alternativo especificado no existe.',
	'NO_BOARDS' => 'No hay sitios creados.',
	'NO_DB' => 'Ninguna base de datos seleccionada.',
	'NO_IMPACT_WIN' => 'Este ajuste no tiene impacto en los sistemas Windows.',
	'NO_MODULE' => 'El módulo %s no pudo ser cargado.',
	'NO_PASSWORD' => 'Sin contraseña',
	'NO_DBPASSWD_ERR' => 'Has establecido una contraseña db y controlado sin contraseña. No se puede <strong>tener</strong> ambos y <strong>no tener</strong> una contraseña',
	'NONE' => 'Ninguno',

	'ONLY_LOCAL' => 'Preste atención: QuickInstall sólo se diseñó para ser usado localmente.<br />No debe utilizarse en un servidor web accesible a través de Internet.',
	'OPTIONS' => 'Opciones',
	'OPTIONS_ADVANCED' => 'Opciones avanzadas',

	'POPULATE' => 'Rellenar el sitio',
	'POPULATE_MAIN_EXPLAIN' => 'Usuarios: tester x, contraseña: 123456',
	'POPULATE_EXPLAIN' => 'Rellenar el sitio con 5 usuarios (tester 1 - 5), algunos temas y mensajes. Los usuarios tienen la contraseña 123456 y el correo username@your-boards-domain. Esto se puede cambiar cuando se crea un foro.',

	'QI_ABOUT' => 'Sobre',
	'QI_ABOUT_ABOUT' => 'El Gran Hermano te ama y quiere que seas feliz.',
	'QI_DST' => 'Horario de verano',
	'QI_DST_EXPLAIN' => '¿Quieres horario de verano para estar encendido o apagado?',
	'QI_LANG' => 'Idioma de QuickInstall',
	'QI_LANG_EXPLAIN' => 'El idioma que debe usar QuickInstall. Es necesario que haya un directorio con este nombre en el language/. Esta lengua se utiliza como idioma predeterminado para tus foros si esta lengua existe en sources/phpBB3/language/.',
	'QI_MAIN' => 'Página principal',
	'QI_MAIN_ABOUT' => 'Instalar un nuevo sitio aquí.<br /><br />“Nombre d ela base de datos del sitio” es el único campo que tiene que llenar, los otros se llenan con valores predeterminados de <em>includes/qi_config.php</em>.<br /><br />Click en “opciones avanzadas” para más ajustes.',
	'QI_MANAGE' => 'Administrar sitios',
	'QI_MANAGE_ABOUT' => 'o_O',
	'QI_TZ' => 'Zona horaria',
	'QI_TZ_EXPLAIN' => 'Tu zona horaria. Será la zona horaria por defecto para los foros creados. -1, 0, 1 etc.',
	'QUICKINSTALL' => 'phpBB QuickInstall',

	'REDIRECT' => 'Redirección',
	'REDIRECT_EXPLAIN' => 'Establecer redireciones a los foros nuevo como Si de forma predeterminada. Esto se puede cambiar cuando se crea un foro.',
	'REDIRECT_BOARD' => 'Redirección al nuevo sitio',
	'REQUIRED' => 'es requerido',
	'RESET' => 'Resetear',

	'SELECT' => 'Seleccionar',
	'SETTINGS' => 'Configuración',
	'SETTINGS_FAILURE' => 'Hubo errores, eche un vistazo en la siguiente casilla.',
	'SETTINGS_SUCCESS' => 'La configuración se guardó exitosamente.',
	'SERVER_NAME' => 'Nombre del servidor',
	'SERVER_NAME_EXPLAIN' => 'Esto normalmente debería ser localhost desde QuickInstall <strong>no</strong> es destinados a servidores públicos.',
	'SERVER_PORT' => 'Puerto del servidor',
	'SERVER_PORT_EXPLAIN' => 'Usualmente 80.',
	'SITE_DESC' => 'Descripción del sitio',
	'SITE_DESC_EXPLAIN' => 'La descripción por defecto de tu foro(s). Esto se puede cambiar cuando los foros se crean.',
	'SITE_NAME' => 'Nombre del sitio',
	'SITE_NAME_EXPLAIN' => 'The default site name that will be used for your forums. Esto se puede cambiar cuando los foros se crean.',
	'SMTP_AUTH' => 'Metodo de autentificación para SMTP',
	'SMTP_AUTH_EXPLAIN' => 'Sólo se utiliza si  se establece un usuario/contraseña.',
	'SMTP_DELIVERY' => 'Usar servidor SMTP para el correo',
	'SMTP_DELIVERY_EXPLAIN' => 'Selecciona “Si” si quieren o tienen que enviar un correo electrónico a través de un servidor denominado lugar de la función de correo local.',
	'SMTP_HOST' => 'Dirección del servidor SMTP',
	'SMTP_HOST_EXPLAIN' => 'La dirección del servidor SMTP que quieres usar',
	'SMTP_PASS' => 'Contraseña de SMTP',
	'SMTP_PASS_EXPLAIN' => 'Sólo introduzca una contraseña si su servidor SMTP lo requiere.',
	'SMTP_PORT' => 'Puerto del servidor de SMTP',
	'SMTP_PORT_EXPLAIN' => 'Sólo cambiar esto si usted sabe que su servidor SMTP usa un puerto diferente.',
	'SMTP_USER' => 'Usuario de SMTP',
	'SMTP_USER_EXPLAIN' => 'Sólo introduzca un nombre de usuario si el servidor SMTP lo requiere.',
	'STAR_MANDATORY' => '* = obligatorio',
	'SUBMIT' => 'Enviar',
	'SUBSILVER' => 'Instalar Subsilver2',
	'SUBSILVER_EXPLAIN' => 'Seleccione si desea que el tema Subsilver2 sea instalado y si quieres que sea el estilo predeterminado. Esto se puede cambiar cuando se crea un foro.',
	'SUCCESS' => 'Exito',

	'TABLE_PREFIX' => 'Prefijo de la tabla',
	'TABLE_PREFIX_EXPLAIN' => 'El prefijo de tabla que se utilizará para sus foros. Puede cambiar esto en las opciones avanzadas al crear nuevos foros.',

	'UNCHECK_ALL' => 'Desmarcar todo',
	'UP_TO_DATE' => 'Gran Hermano dice que está actualizado.',
	'UP_TO_DATE_NOT' => 'Gran Hermano dice que no está actualizado.',
	'UPDATE_CHECK_FAILED' => 'La comprobación de la versión de Gran Hermano ha fallado.',
	'UPDATE_TO' => '<a href="%1$s">Actualizar a la versión %2$s.</a>',

	'YES' => 'Si',

	'VERSION_CHECK' => 'Gomprobación de versión de Gran Hermano c',
	'VISIT_BOARD' => '<a href="%s">Visitar el sitio</a>',

	'WHAT' => '¿Qué?',
	'WHAT_EXPLAIN' => 'phpBB3 QuickInstall es un script que instala phpBB de forma rapida. Bastante obvio... ;-)',
	'WHO_ELSE' => '¿Quién más?',
	'WHO_ELSE_EXPLAIN' => '<ul><li>' . implode('</li><li>', array(
		'Creditos para el Equipo de phpBB especialmente el equipo de desarrollo que creó una maravillosa pieza de software.',
		'Gracias a phpBB.com Equipo de MODs (especialmente a Josh, aka “A_Jelly_Doughnut”) por el AutoMOD, incluido en este pack.',
		'Gracias a Mike TUMS por el bonito logo!',
		'Gracias a los usuarios testeadores de la versión beta!',
		'Gracias a la comunidad de phpBB incluido phpBB.com, startrekguide.com y phpBBModders.net!',
	)) . '</li></ul>',
	'WHO_WHEN' => '¿Quién? ¿Cuándo?',
	'WHO_WHEN_EXPLAIN' => 'phpBB3 QuickInstall originalmete creado por Igor “eviL&lt;3” Wiedler en el verano de 2007. Fue parcialmente reescrita por él en marzo de 2008.<br />Desde Marzo de 2010 este proyecto es mantenido por Jari “Tumba25” Kanerva.',
	'WHY' => '¿Por qué?',
	'WHY_EXPLAIN' => 'Al igual que con phpBB2, si usted hace un montón de modding (la creación de modificaciones), no se puede poner todos los mods en una instalación única de phpBB. Así que lo mejor es disponer de instalaciones separadas. Ahora el problema es que es un dolor para copiar los archivos y pasar por el proceso de instalación en todo momento. Para acelerar este proceso, nació QuickInstall.',
));

?>