<?php
/**
*
* @package quickinstall
* @version $Id: qi_manage.php 51 2010-05-28 09:03:54Z jari $
* @copyright (c) 2007, 2008 eviL3
* @copyright (c) 2010 Jari Kanerva (tumba25)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_QUICKINSTALL'))
{
	exit;
}

/**
 * qi_manage module
 */
class qi_manage
{
	public function __construct()
	{
		global $db, $template, $user;
		global $quickinstall_path, $phpbb_root_path, $phpEx, $config, $qi_config, $msg_title;

		$action = request_var('action', '');
		$delete = request_var('delete', false);

		if ($delete)
		{
			$action = 'delete';
		}

		switch ($action)
		{
			case 'delete':

				$select = request_var('select', array(0 => ''));

				foreach ($select as $item)
				{
					$current_item = $quickinstall_path . 'boards/' . $item;

					$db->sql_query('DROP DATABASE IF EXISTS ' . $qi_config['db_prefix'] . $item);

					if (!file_exists($current_item) || !is_dir($current_item))
					{
						continue;
					}

					file_functions::delete_dir($current_item);
				}

				// Just return to main page after succesfull deletion.
				qi::redirect('index.' . $phpEx);
			break;

			default:

				// list of boards
				$boards_arr = scandir($quickinstall_path . $qi_config['boards_dir']);
				foreach ($boards_arr as $board)
				{
					if (in_array($board, array('.', '..', '.svn', '.htaccess', '.git'), true) || is_file($quickinstall_path . 'boards/' . $board))
					{
						continue;
					}

					$template->assign_block_vars('row', array(
						'BOARD_NAME'	=> htmlspecialchars($board),
						'BOARD_URL'		=> $quickinstall_path . $qi_config['boards_dir'] . urlencode($board),
					));
				}

				// Output page
				qi::page_header($user->lang['QI_MANAGE'], $user->lang['QI_MANAGE_ABOUT']);

				$template->set_filenames(array(
					'body' => 'manage_body.html')
				);

				qi::page_footer();

			break;
		}
	}
}

?>